S3 List Buckets
  • 31 May 2023
  • Dark
    Light

S3 List Buckets

  • Dark
    Light

Article summary

GEThttps://s3.<your-region>.backblazeb2.com/

Lists buckets in your account in alphabetical order by bucket name.

AUTHORIZATION AWS Signature

This request is using AWS Signature from collection Backblaze B2 Cloud Storage S3 Compatible API.

Example Request

curl --location 'https://s3.<your-region>.backblazeb2.com/'

Example Response

200 NO CONTENT

Body

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<ListAllMyBucketsResult xmlns="http://s3.amazonaws.com/doc/2006-03-01/">
    <Owner>
        <ID>15f935cf4dcb</ID>
        <DisplayName></DisplayName>
    </Owner>
    <Buckets>
        <Bucket>
            <Name>metadaddy-test</Name>
            <CreationDate>2022-01-04T22:52:35.669Z</CreationDate>
        </Bucket>
        <Bucket>
            <Name>metadaddy-synology</Name>
            <CreationDate>2022-01-25T04:23:07.343Z</CreationDate>
        </Bucket>
    </Buckets>
</ListAllMyBucketsResult>


Headers (8)

x-amz-request-id699c79d678ac85eb

x-amz-id-2

aMb41pGbJOWYzrTUIY0JmFjSgZMljS2L4

Cache-Control

max-age=0, no-cache, no-store

Content-Type

application/xml

Content-Length

1414

Date

Fri, 28 Jan 2022 22:46:26 GMT

Keep-Alive

timeout=5

Connection

keep-alive







Was this article helpful?